import { render, screen } from '@testing-library/react';

import Home from '../page';

describe('Home Page', () => {
  it('renders the Next.js logo', () => {
    render(<Home />);

    const logo = screen.getByAltText('Next.js logo');
    expect(logo).toBeInTheDocument();
  });

  it("contains the 'Get started' text", () => {
    render(<Home />);

    expect(screen.getByText(/get started/i)).toBeInTheDocument();
  });

  it('has the Vercel logomark', () => {
    render(<Home />);

    const vercelLogo = screen.getByAltText('Vercel logomark');
    expect(vercelLogo).toBeInTheDocument();
  });
});
